cc.funkemunky.api.utils.objects.evicting

## Class ConcurrentEvictingList<T>

- java.lang.Object
- - java.util.concurrent.CopyOnWriteArrayList<T>
  - - cc.funkemunky.api.utils.objects.evicting.ConcurrentEvictingList<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<T>, java.util.Collection<T>, java.util.List<T>, java.util.RandomAccess

    public class ConcurrentEvictingList<T>
    extends java.util.concurrent.CopyOnWriteArrayList<T>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentEvictingList(java.util.Collection<? extends T> c, int maxSize)`
`ConcurrentEvictingList(int maxSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(T t)`
`boolean` `addAll(java.util.Collection<? extends T> c)`
`int` `getMaxSize()`
`java.util.stream.Stream<T>` `stream()`

### Methods inherited from class java.util.concurrent.CopyOnWriteArrayList

`add, addAll, addAllAbsent, addIfAbsent, clear, clone, contains, containsAll, equals, forEach, get, hashCode, indexOf, indexOf, isEmpty, iterator, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream`

### Constructor Detail

#### ConcurrentEvictingList

    public ConcurrentEvictingList(int maxSize)

#### ConcurrentEvictingList

    public ConcurrentEvictingList(java.util.Collection<? extends T> c,
                                  int maxSize)

### Method Detail

#### getMaxSize

    public int getMaxSize()

#### add

    public boolean add(T t)

Specified by:
  `add` in interface `java.util.Collection<T>`
Specified by:
  `add` in interface `java.util.List<T>`
Overrides:
  `add` in class `java.util.concurrent.CopyOnWriteArrayList<T>`

#### addAll

    public boolean addAll(java.util.Collection<? extends T> c)

Specified by:
  `addAll` in interface `java.util.Collection<T>`
Specified by:
  `addAll` in interface `java.util.List<T>`
Overrides:
  `addAll` in class `java.util.concurrent.CopyOnWriteArrayList<T>`

#### stream

    public java.util.stream.Stream<T> stream()